%global name_alias        pgm
%global version_main      5.2
%global version_dash_main 5-2
%global version_dash      %{version_dash_main}-122
Name:           openpgm
Version:        5.2.122
Release:        16
License:        LGPLv2
Summary:        PGM reliable multicast protocol implementation
URL:            https://github.com/steve-o/openpgm
Source0:        https://github.com/steve-o/openpgm/archive/release-%{version_dash}.tar.gz#/%{name}-%{version}.tar.gz
Patch0000:      First-batch-of-modernization.patch 
Patch0001:      The-debugging-flag-for-GCC.patch
Patch0002:      Attempt-to-fix-POS36-C.patch

BuildRequires:  python3 perl-interpreter dos2unix
BuildRequires:  gcc libtool automake autoconf 

%description
OpenPGM implements PGM (Pragmatic General Multicast) following RFC 3208 specification.

%package        devel
Summary:        Development files for openpgm
Requires:       %{name} = %{version}-%{release}

%description    devel
Development libraries for OpenPGM.

%prep
%autosetup -n %{name}-release-%{version_dash}/%{name}/%{name_alias} -p3
dos2unix examples/getopt.c examples/getopt.h
libtoolize --force --copy
aclocal
autoheader
automake --copy --add-missing
autoconf

%build
%configure
%make_build

%install
%make_install
%delete_la_and_a
mv -f %{buildroot}%{_includedir}/%{name_alias}-%{version_main}/%{name_alias} %{buildroot}%{_includedir}/

%files
%{_libdir}/*.so.*
%doc COPYING LICENSE

%files          devel
%doc examples/
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/openpgm-5.2.pc

%changelog
* Wed Nov 11 2020 huanghaitao <huanghaitao8@huawei.com> - 5.2.122-16
- Change source

* Mon Mar 09 2020 lihao <lihao129@huawei.com> - 5.2.122-15
- Package Init
